[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#631188: python2.7: On armel importing multiprocessing complains about missing sem_open implementation

[ CC'in debian-arm ]

On 06/21/2011 11:29 AM, Jan Flyborg wrote:
> Package: python2.7
> Version: 2.7.1-8
> Severity: important
> When I do 'import multiprocessing.synchronize' on my Sheevaplug with Wheezy I get:
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
>   File "/usr/lib/python2.7/multiprocessing/synchronize.py", line 59, in <module>
>     " function, see issue 3770.")
> ImportError: This platform lacks a functioning sem_open implementation, therefore, 
> the required synchronization primitives needed will not function, see issue 3770.
> I have compiled Python 2.7 myself and the resulting interpreter does not have this 
> problem, so my guess is that something probably has gone wrong with configure in 
> your build process.

see http://bugs.python.org/issue8326

which kernel version was used for the build? it should be at least a kernel from
the current stable/squeeze release.

Reply to: